"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.covertOptions = void 0;
const utils_1 = require("./utils");
/** @deprecated */
const covertOptions = (options) => {
    if ("type" in options) {
        utils_1.logger.warn(`"type" is deprecated, please use "provider".`);
        if (options["type"] === "waline")
            options.provider = "Waline";
        else if (options["type"] === "vssue")
            options.provider = "Vssue";
        else if (options["type"] === "valine")
            options.provider = "Valine";
        delete options["type"];
    }
    // covert Waline options
    if (options.provider === "Waline") {
        [
            // valine
            ["emojiCDN", "emoji"],
            ["emojiMaps", "emoji"],
            ["requiredFields", "requiredMeta"],
            ["visitor", "pageview"],
            ["langMode", "locale"],
            ["placeholder", "locale.placeholder"],
            // waline v1
            ["highlight", "highlighter"],
            ["uploadImage", "imageUploader"],
            ["previewMath", "texRenderer"],
            ["anonymous", "login"],
            ["copyRight", "copyright"],
        ].forEach(([oldOptions, newOptions]) => {
            if (oldOptions in options) {
                utils_1.logger.warn(`"${oldOptions}" is deprecated in @waline/client@v2, you should use "${newOptions}" instead.`);
                // eslint-disable-next-line @typescript-eslint/ban-ts-comment
                // @ts-ignore
                delete options[oldOptions];
            }
        });
        [
            // valine
            "region",
            "appId",
            "appKey",
            "notify",
            "verify",
            "avatar",
            "avatarForce",
            "enableQQ",
            "recordIP",
            "serverURLs",
            // waline v1
            "avatarCDN",
            "mathTagSupport",
        ].forEach((option) => {
            if (option in options) {
                utils_1.logger.error(`"${option}" is no longer supported in @waline/client@v2.`);
                // eslint-disable-next-line @typescript-eslint/ban-ts-comment
                // @ts-ignore
                delete options[option];
            }
        });
    }
};
exports.covertOptions = covertOptions;
//# sourceMappingURL=compact.js.map